ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

ConLike

Synopsis

- data ConLike
  - = RealDataCon DataCon
  - | PatSynCon PatSyn

# Documentation

data ConLike

A constructor-like thing

Constructors

RealDataCon DataCon |
PatSynCon PatSyn |

Instances

Eq ConLike |
Data ConLike |
Ord ConLike |
OutputableBndr ConLike |
Outputable ConLike |
Uniquable ConLike |
NamedThing ConLike |
Typeable * ConLike |